uniform sampler2D 	accumTex;

varying vec2 		texcoord;
uniform vec3 		voxelBrightness; // 0=brightness, 1=contrast, 2=alpha

void main()
{
	/*vec2 sampleCount;
	sampleCount = texture2D(accumTex,texcoord.st).rg;

	if(sampleCount.g<=0.0)
		discard;
	*/
	// compute occlusion
	float occ=texture2D(accumTex,texcoord.st).r;//sampleCount.r/sampleCount.g;
	//occ=(min(occ+voxelBrightness.x,1.0)*voxelBrightness.y);

	// store final result
	gl_FragColor.rgb=vec3(occ);		
	gl_FragColor.a=1.0;			
}